# Method: projects.schemas.create

- [HTTP request](https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.schemas/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.schemas/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.schemas/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.schemas/create#body.request_body)
- [Response body](https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.schemas/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.schemas/create#body.aspect)
- [Try it!](https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.schemas/create#try-it)

Creates a schema.

### HTTP request

Choose a location:
<button value="global" default="">global</button>   
`POST https://pubsub.googleapis.com/v1/{parent}/schemas`

<br />

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the project in which to create the schema. Format is `projects/{project-id}`. |

### Query parameters

| Parameters ||
|---|---|
| `schemaId` | `string` The ID to use for the schema, which will become the final component of the schema's resource name. See <https://cloud.google.com/pubsub/docs/pubsub-basics#resource_names> for resource name constraints. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.schemas#Schema`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.schemas#Schema`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/pubsub`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).